# namespace-uri

namespace-uri() → xs:anyURI

Returns the namespace URI of the name of the context node

There are no arguments
Result | xs:anyURI

namespace-uri($arg as node()?) → xs:anyURI

Returns the namespace URI of the name of the supplied node

Arguments
| $arg | node()? | The node whose namespace URI is required
Result | xs:anyURI

Links to W3C specifications

Namespace: http://www.w3.org/2005/xpath-functions

Applies to: XPath 2.0, XSLT 2.0, XQuery 1.0 and later versions

XPath 2.0 Specification

XPath 3.0 Specification

Notes on the Saxon implementation

The function is fully implemented according to the W3C specifications.

Next